Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.model.binding
Class DCMethodParameter

`java.lang.Object
java.util.AbstractMap
oracle.jbo.common.JboAbstractMap
oracle.adf.model.binding.DCControlBinding
oracle.adf.model.binding.DCParameter
oracle.adf.model.binding.DCMethodParameter`

All Implemented Interfaces:
  java.util.Map, oracle.adf.model.OperationParameter

public class DCMethodParameter
extends DCParameter
implements oracle.adf.model.OperationParameter

*** For internal framework use only ***

Nested Class Summary

Nested classes inherited from class java.util.Map
`java.util.Map.Entry`

Field Summary

Fields inherited from class oracle.adf.model.binding.DCParameter
`ATTR_VALUE, mInternalGet_KeyResolved`

Fields inherited from class oracle.adf.model.binding.DCControlBinding
`ATTR_CURRENTROW, ATTR_DEF, ATTR_ERROR, ATTR_ERRORS, ATTR_FULLNAME, ATTR_ITER, ATTR_NAME, mAttributeListener, ROW_KEY_STR`

Constructor Summary
`protected` | `DCMethodParameter(DCMethodParameterDef def, DCBindingContainer bc)` *** For internal framework use only ***

Method Summary
`java.lang.Class` | `getType()`
`java.lang.String` | `getTypeName()`

Methods inherited from class oracle.adf.model.binding.DCParameter
`addControlToPanel, getExpression, getValue, initResources, internalGet, refreshControl, release, resetInputState, setBindingContainer, setExpression, setName, toString`

Methods inherited from class oracle.adf.model.binding.DCControlBinding
`addToDCExceptions, executeQuery, executeQueryIfNeeded, get, getAllRowsInRange, getApplicationModule, getBindingContainer, getControl, getControlModel, getCurrentRow, getDCIteratorBinding, getDef, getDefFullName, getDefName, getError, getErrors, getFullName, getLayoutObject, getName, getRowAtRangeIndex, getRowIterator, getTransaction, getViewObject, hashCode, internalHasPermission, internalHasPermission, internalSetName, isControlQueriable, needsEstimatedRowCount, processInputException, removeFromDCExceptions, reportException, resetAttributeExceptionInRow, setControl, setListener, setListener`

Methods inherited from class oracle.jbo.common.JboAbstractMap
`entrySet, equals, internalPut, put`

Methods inherited from class java.util.AbstractMap
`clear, clone, containsKey, containsValue, isEmpty, keySet, putAll, remove, size, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.adf.model.OperationParameter
`getName, getValue`

Constructor Detail

### DCMethodParameter

    protected DCMethodParameter(DCMethodParameterDef def,
                                DCBindingContainer bc)

  *** For internal framework use only ***

Method Detail

### getTypeName

    public java.lang.String getTypeName()

  Specified by:
    `getTypeName` in interface `oracle.adf.model.OperationParameter`

### getType

    public java.lang.Class getType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.